<!-- 
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->
<project xmlns:j="jelly:core" xmlns:u="jelly:util">

  <goal name="testPlugin" prereqs="test-eclipse">
  </goal>
  
  <goal name="test-eclipse">
    <delete file="${basedir}/.project" failonerror="false"/>
    <delete file="${basedir}/.classpath" failonerror="false"/>
    <attainGoal name="eclipse"/>

    <u:file var="expectedFile" name="${basedir}/.project"/>
    <j:if test="${!expectedFile.exists()}">
      <fail>${expectedFile} was not created</fail>
    </j:if>

    <u:file var="expectedFile" name="${basedir}/.classpath"/>
    <j:if test="${!expectedFile.exists()}">
      <fail>${expectedFile} was not created</fail>
    </j:if>
  </goal>
</project>